## ros-jazzy-kobuki-core 1.4.0

=== debian/changelog ===
ros-jazzy-kobuki-core (1.4.0-4bookworm) bookworm; urgency=high

  * [demos] log levels demo added, #42 <https://github.com/kobuki-base/kobuki_core/issues/42>
  * [driver] bugfix major, minor, patch macro conflicts, #44 <https://github.com/kobuki-base/kobuki_core/issues/44>
  * [demos] style cleanups, #47 <https://github.com/kobuki-base/kobuki_core/pull/47>
  * [driver] grammar fixes, #47 <https://github.com/kobuki-base/kobuki_core/pull/47>

 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 24 Oct 2022 00:00:00 -0000

ros-jazzy-kobuki-core (1.3.1-4bookworm) bookworm; urgency=high

  * [keyop] protect command variables with a mutex, #41 <https://github.com/kobuki-base/kobuki_core/issues/41>
  * [core] ros_ prefixes dropped, custom_logging & raw_data_stream demos, #40 <https://github.com/kobuki-base/kobuki_core/issues/40>
  * [infra] recommended firmware versions 1.1.4, 1.2.0, #37 <https://github.com/kobuki-base/kobuki_core/issues/37>

 -- Daniel Stonier <d.stonier@gmail.com>  Tue, 15 Sep 2020 00:00:00 -0000

ros-jazzy-kobuki-core (1.3.0-4bookworm) bookworm; urgency=high

  * [all] LegacyPose2D -> Vector3d, #36 <https://github.com/kobuki-base/kobuki_core/issues/36>

 -- Daniel Stonier <d.stonier@gmail.com>  Sat, 12 Sep 2020 00:00:00 -0000

ros-jazzy-kobuki-core (1.2.0-4bookworm) bookworm; urgency=high

  * [infra] kobuki_dock_drive and kobuki_driver merged into kobuki_core, #31 <https://github.com/kobuki-base/kobuki_core/issues/31>
  * [tools] kobuki_simple_keyop -> kobuki-simple-keyop, #35 <https://github.com/kobuki-base/kobuki_core/issues/35>.
  * [tools] kobuki_version_info -> kobuki-version-info, #35 <https://github.com/kobuki-base/kobuki_core/issues/35>.

 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 30 Aug 2020 00:00:00 -0000

ros-jazzy-kobuki-core (1.1.1-4bookworm) bookworm; urgency=high

  * [udev] bugfix low latency ftdi operation, #28 <https://github.com/kobuki-base/kobuki_core/pull/28>.
  * [demos] added an event demo, also minor cleanup, #27 <https://github.com/kobuki-base/kobuki_core/pull/27>.
  * [infra] don't use system headers for dependencies, #27 <https://github.com/kobuki-base/kobuki_core/pull/27>.

 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 19 Aug 2020 00:00:00 -0000

ros-jazzy-kobuki-core (1.1.0-4bookworm) bookworm; urgency=high

  * [infra] ament_export_interfaces -> ament_export_targets, #21 <https://github.com/kobuki-base/kobuki_core/pull/21>.
  * [driver] bugfix correct size for pyaload length lookup, #19 <https://github.com/kobuki-base/kobuki_core/pull/19>`_.
  * [infra] license links updated, #15 <https://github.com/kobuki-base/kobuki_core/pull/15>.

 -- Daniel Stonier <d.stonier@gmail.com>  Tue, 04 Aug 2020 00:00:00 -0000

ros-jazzy-kobuki-core (1.0.0-4bookworm) bookworm; urgency=high

  * [infra] port and release for ROS2/Eloquent
  * [infra] udev rule and debian installation thereof, #13 <https://github.com/kobuki-base/kobuki_core/pull/13>.

 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 13 Jan 2020 00:00:00 -0000

ros-jazzy-kobuki-core (0.8.1-4bookworm) bookworm; urgency=high

  * remove unused and dodgy float builder, fixed uninitialised warnings, #53 <https://github.com/yujinrobot/kobuki_core/pull/53>.

 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 09 Jan 2019 00:00:00 -0000

ros-jazzy-kobuki-core (0.8.0-4bookworm) bookworm; urgency=high

  * updated build infra for changes ament/eloquent

 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 09 Jan 2019 00:00:00 -0000

ros-jazzy-kobuki-core (0.7.7-4bookworm) bookworm; urgency=high

  * accel limiter variable initialisation bugfix

 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 29 Mar 2017 00:00:00 -0000

ros-jazzy-kobuki-core (0.7.6-4bookworm) bookworm; urgency=high

  * doxygen updates

 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 27 Mar 2017 00:00:00 -0000

ros-jazzy-kobuki-core (0.7.4-4bookworm) bookworm; urgency=high

  * drop spurious debugging cmake message that was throwing warnings

 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 23 Feb 2017 00:00:00 -0000

ros-jazzy-kobuki-core (0.7.2-4bookworm) bookworm; urgency=high

  * Pose2D -> LegacyPose2D

 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 09 Nov 2016 00:00:00 -0000

ros-jazzy-kobuki-core (0.7.1-4bookworm) bookworm; urgency=high

  * isnan -> std::isnan

 -- Daniel Stonier <d.stonier@gmail.com>  Fri, 06 May 2016 00:00:00 -0000

ros-jazzy-kobuki-core (0.6.3-4bookworm) bookworm; urgency=high

  * bugfix cliff header packet

 -- Daniel Stonier <d.stonier@gmail.com>  Fri, 06 May 2016 00:00:00 -0000

ros-jazzy-kobuki-core (0.6.2-4bookworm) bookworm; urgency=high

  * enable the cx11 compiler

 -- Daniel Stonier <d.stonier@gmail.com>  Sat, 09 Jan 2016 00:00:00 -0000

ros-jazzy-kobuki-core (0.6.0-4bookworm) bookworm; urgency=high

  * add linear and angular test plot image
  * kobuki_core : Updated doxygen. Issue #10 <https://github.com/yujinrobot/kobuki_core/issues/10>.
  * Contributors: Younghun Ju, jihoonl

 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 04 Aug 2014 00:00:00 -0000

ros-jazzy-kobuki-core (0.5.3-4bookworm) bookworm; urgency=high

  * Updated doxygen documentation.

 -- Daniel Stonier <d.stonier@gmail.com>  Fri, 06 Sep 2013 00:00:00 -0000

ros-jazzy-kobuki-core (0.5.2-4bookworm) bookworm; urgency=high

  * Documentation and other text files reviewed.

 -- Daniel Stonier <d.stonier@gmail.com>  Sat, 31 Aug 2013 00:00:00 -0000

ros-jazzy-kobuki-core (0.5.1-4bookworm) bookworm; urgency=high

  * Updated license info.
  * Updated doxygen in the code.
  * Update firmware_changelog.md.

 -- Daniel Stonier <d.stonier@gmail.com>  Fri, 30 Aug 2013 00:00:00 -0000

ros-jazzy-kobuki-core (0.5.0-4bookworm) bookworm; urgency=high

  * Added debug topic of raw control command of robot.
  * Removed debugging message.
  * Updated doxygen about factory-default value of PID gain.
  * Add firmware version checking on PID commands.
  * Updated protocol specification in doxygen about custom PID gain setting.

